Tagged: IE

针对IE的CSS Hack

针对IE的CSS Hack

因为各种原因IE对web标准化支持是最差的,有时候需要使用CSS Hack对其进行重新定义,下面就列举一下IE的条件Hack,属性Hack,选择符Hack,其中任何一种都能达到你想要的效果。

解决IE6/IE7/IE8不支持before,after问题

解决IE6/IE7/IE8不支持before,after问题

在现在web开发中使用图标字体已经很广泛,如Font Awesome,Bootstrap等,字体图片主要是通过css选择器before,after来实现,但是在低版本的IE6/IE7/IE8中并不支持,下面就来探讨一下如何解决IE6/IE7/IE8不支持before,after问题。

兼容IE的Css圆角,Css渐变,Css阴影效果

Web设计中圆角、渐变效果是常用的网页表现形式,但是在IE8及以下浏览器中并不能通过代码来实现Css圆角,Css渐变等效果,以前的处理方式一般是通过图片来实现的,现在介绍一种更简便的方法,只需引入一个文件即可实现。

让ie支持placeholder

让ie支持placeholder

ie的老版本(ie6,ie7,ie8)浏览器并不支持html5,所以也不支持placeholder,当然办法总比问题多,要实现ie支持placeholder只需引用一个jquery.placeholder.js文件,然后申明一下就可以了,下面提供了demo下载。

解决IE浏览器”为了有利于保护安全性,已限制脚本和ActiveX控件”问题

解决IE浏览器”为了有利于保护安全性,已限制脚本和ActiveX控件”问题

做网页可能都遇到过这种问题,在设计网页时,如果页面上有js时,IE浏览器会弹出警告提示“为了有利于保护安全性,Internet Explorer已限制此网页运行...